package model;

/**
 *
 * @author giovanni.ragno
 */
public interface Lista<T> {
  
  public void inserisciInTesta(T dato);
  public void appendiInCoda(T dato);
  public void inserisciInPosizione(T dato, int pos);
  public void rimuoviDaTesta();
  public void rimuoviDaPosizione(int pos);
  public void rimuoviDaCoda();
  public void svuota();
  public T getDatoInTesta();
  public T getDatoInCoda();
  public T getDatoInPosizione(int pos);
  public void setDatoInTesta(T dato);
  public void setDatoInCoda(T dato);
  public void setDatoInPosizione(T dato, int pos);
  public int length();      
  
}
