package model;

/**
* ADT stack
* @author giovanni.ragno
*/
public interface Stack<T> {
  /**
  * inserisce un dato in cima allo stack
  * @param dato da inserire
  */
  void push(T dato);
  /**
  * elimina il dato in cima allo stack
  */
  void pop();
  /**
  * restituisce il dato in cima allo stack
  * @return il dato
  */
  T top();
  /**
  * test se lo stack  vuoto
  * @return true se vuoto, false in caso contrario
  */
  boolean isEmpty();
}