package view;

import model.Elenco;
import model.Stack;

/**
 *
 * @author Gianni
 */
public class Mostra {
  /**
   * Mostra il contenuto di elenco facendo uso di toString e la sua lunghezza
   * @param e elenco
   */
  public static void elenco(Elenco e){
    System.out.println("e="+e+";(lung="+e.lunghezza()+")");
  }
  
  /**
   * Mostra il contenuto di elenco facendo uso dell'itearatore
   * @param e elenco
   */
  public static void mostraTutti(Elenco e){
    for(Object o:e){
      System.out.println(o);
    }
  }
  
  /**
   * Mostra l'elenoc e la sua lunghezza evidenziando che o  stato rimosso
   * @param e elenco
   * @param o oggetto evisenzialto
   */
  public static void elencoSenza(Elenco e,Object o){
    System.out.println("Rimosso:"+o+"; e="+e+";(lung="+e.lunghezza()+")");
  }
  
  /**
   * Mostra oggetto e posizione
   * @param o oggetto
   * @param pos posizione
   */
  public static void posizione(Object o, int pos){
    if (pos<0){
      System.out.println("Il dato:"+o+" non  presente");
    }
    else {
      System.out.println("Il dato:"+o+"  in posizione:"+pos);
    }
  }
  
  /**
   * mostra uno stack facendo uso di toString
   * @param s stack
   */
  public static void stack(Stack s){
    System.out.println("s="+s);
  }
  
  /**
   * Mostra oggetto evidenziando che  il top
   * @param o oggetto
   */
  public static void topStack(Object o){
    System.out.println("top="+o);
  }
}
